JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ModalComponentManager::Callback Class Referenceabstract
juce_gui_basics » components

Receives callbacks when a modal component is dismissed. More...

`#include <juce_ModalComponentManager.h>`

## Public Member Functions
| Callback ()=default
virtual | ~Callback ()=default
| Destructor.
virtual void | modalStateFinished (int returnValue)=0
| Called to indicate that a modal component has been dismissed.

## Detailed Description

Receives callbacks when a modal component is dismissed.

You can register a callback using Component::enterModalState() or ModalComponentManager::attachCallback().

For some quick ways of creating callback objects, see the ModalCallbackFunction class.

See also
  ModalCallbackFunction

## Constructor & Destructor Documentation

## ◆ Callback()

ModalComponentManager::Callback::Callback | ( |  | ) |
| default

## ◆ ~Callback()

virtual ModalComponentManager::Callback::~Callback | ( |  | ) |
| virtual default

Destructor.

## Member Function Documentation

## ◆ modalStateFinished()

virtual void ModalComponentManager::Callback::modalStateFinished | ( | int | returnValue | ) |
| pure virtual

Called to indicate that a modal component has been dismissed.

You can register a callback using Component::enterModalState() or ModalComponentManager::attachCallback().

The returnValue parameter is the value that was passed to Component::exitModalState() when the component was dismissed.

The callback object will be deleted shortly after this method is called.

The documentation for this class was generated from the following file:

- juce_ModalComponentManager.h